/**
 * Continuous Lines. 
 * 
 * Click and drag the mouse to draw a line. 
 */
 
import oscP5.*;
import netP5.*;

OscP5 oscP5;
NetAddress myRemoteLocation;

float r1 = 0.0;
int t=0;
float rant=0;

void setup() {
  size(640, 360);
  background(0);
  frameRate(60);
  
  oscP5 = new OscP5(this,9999);
  myRemoteLocation = new NetAddress("127.0.0.1",9999);
}

void draw() {
  noStroke();
 //smooth();
 fill(0,0,0, 6);
 rect(0, 0, 640, 360);
 strokeWeight(2);
 stroke(255);
 line(t-2, 360-int(rant*360), t,360-int(r1*360));
 stroke(255,255,255);
 strokeWeight(6);
 point(t, 360-int(r1*360));
 rant=r1;

t=(t+2)%640;

}




void oscEvent(OscMessage theOscMessage) {
  /* check if theOscMessage has the address pattern we are looking for. */
  
  if(theOscMessage.checkAddrPattern("/x")==true) {
    /* check if the typetag is the right one. */
    if(theOscMessage.checkTypetag("f")) {
      r1 = theOscMessage.get(0).floatValue();  
      //println(" r1: "+r1);
      return;
    }  
  }
}
